Subject: Re: linux-next: scsi tree build failure

From: James Bottomley <[email-masked]>
Date: Wed, 15 Oct 2008 08:27:24 -0400

On Wed, 2008-10-15 at 17:49 +1100, Stephen Rothwell wrote:
> [Resent to get past vger's filters]
> 
> Hi James,
> 
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> 
> drivers/scsi/sd.c:579:27: error: macro "sd_dif_op" passed 4 arguments, but takes just 3
> drivers/scsi/sd.c: In function 'sd_prep_fn':
> drivers/scsi/sd.c:578: error: 'sd_dif_op' undeclared (first use in this function)
> 
> Caused by commit 9e06688e7d60149cc9ef78ff29515c20186bb418 ("[SCSI] sd:
> Correctly handle all combinations of DIF and DIX").
> 
> I added the following patch.

Thanks.

Actually this is the patch I was planning to apply:

http://marc.info/?l=linux-scsi&m=122392563103390

(inlines are better than macros because of the side effect issue) once
I'd verified we didn't have any more hidden config problems.

James